matrix:
  bazel: [6.x, 7.x, rolling]
  platform:
    - centos7
    - debian10
    - debian11
    - macos
    - macos_arm64
    - ubuntu2004
    - ubuntu2204
    - windows

tasks:
  build_test:
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@glog//:glog'
